using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Domain {

	public class SysRole
	{

		/// <summary>
		/// ID
		/// </summary>
		public virtual int ID
		{
			get;
			set;
		}
        /// <summary>
        /// HotelID
        /// </summary>
        public virtual int HotelID
        {
            get;
            set;
        }
		/// <summary>
		/// 名称
		/// </summary>
		public virtual string Name
		{
			get;
			set;
		}

		/// <summary>
		/// 角色所拥有的权限
		/// </summary>
		public virtual IList<SysAuthority> Authorities
		{
			get;
			set;
		}

		/// <summary>
		/// 排序
		/// </summary>
		public virtual int Sort
		{
			get;
			set;
		}
		/// <summary>
		/// 备注
		/// </summary>
		public virtual string Remark
		{
			get;
			set;
		}
		/// <summary>
		/// 启用
		/// </summary>
		public virtual bool ActiveIndicator
		{
			get;
			set;
		}
		/// <summary>
		/// 创建人
		/// </summary>
		public virtual string CreatedBy
		{
			get;
			set;
		}
		/// <summary>
		/// 创建时间
		/// </summary>
		public virtual DateTime CreatedDate
		{
			get;
			set;
		}
		/// <summary>
		/// 修改人
		/// </summary>
		public virtual string ModifiedBy
		{
			get;
			set;
		}
		/// <summary>
		/// 修改时间
		/// </summary>
		public virtual DateTime ModifiedDate
		{
			get;
			set;
		}
        /// <summary>
        /// 所属分组
        /// </summary>
        public virtual SysHotelGroup SysHotelGroup
        {
            get;
            set;
        }

	}
}